import request from '@/utils/request'

// 查询样本类型列表
export function listSampleType(query) {
  return request({
    url: '/sample/sampleType/list',
    method: 'get',
    params: query
  })
}

// 查询样本类型详细
export function getSampleType(id) {
  return request({
    url: '/sample/sampleType/' + id,
    method: 'get'
  })
}

// 新增样本类型
export function addSampleType(data) {
  return request({
    url: '/sample/sampleType',
    method: 'post',
    data: data
  })
}

// 修改样本类型
export function updateSampleType(data) {
  return request({
    url: '/sample/sampleType',
    method: 'put',
    data: data
  })
}

// 删除样本类型
export function delSampleType(id) {
  return request({
    url: '/sample/sampleType/' + id,
    method: 'delete'
  })
}
